Upgrade jenkins instances to 2.150.2
Closed, ResolvedPublic

Description

Jenkins has released a new LTS version 2.150.1. It has a security fix that has been covered by 2.138.4 which we are running.

From the upgrade guide https://jenkins.io/doc/upgrade-guide/2.150/

No notable changes requiring upgrade notes.

The changelog https://jenkins.io/changelog-stable/

2.150.2 got more security fixes. https://jenkins.io/changelog-stable/#v2.150.2 https://jenkins.io/security/advisory/2019-01-16/

  • Wait up to two minutes for process termination before killing it (typically when aborting a build). (issue 17116).

The way Jenkins stop the build has been enhanced but it most probably causes a few issues. At least one got reported (see below).

The community reported issues:

JENKINS-55106Build stuck on final "exit 0"
JENKINS-54752Ansi plugin fails to render formatted console output

I would like upstream to figure out the potential issue with the way jobs are killed. We would probably want to look at the change in code for issue 17116.
The ANSI plugin would need to be upgraded whenever a new released is available. We can not get console logs suddenly hidden by mistake :)

hashar created this task.Dec 11 2018, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2018, 8:21 PM
Reedy renamed this task from Upgrade jenkins instances to to Upgrade jenkins instances to 2.150.1.Dec 11 2018, 9:28 PM
Dzahn added a subscriber: Dzahn.Jan 16 2019, 7:03 PM

it's going to be 2.150.2 now

hashar assigned this task to thcipriani.Jan 16 2019, 7:30 PM

All Jenkins have been upgraded to 2.150.2. Thanks @Dzahn and @thcipriani !

hashar closed this task as Resolved.Jan 16 2019, 7:30 PM
hashar renamed this task from Upgrade jenkins instances to 2.150.1 to Upgrade jenkins instances to 2.150.2.
hashar updated the task description. (Show Details)
Dzahn added a comment.Jan 16 2019, 7:31 PM
root@install1002:/srv/wikimedia/incoming# reprepro ls jenkins
jenkins | 2.150.2 |  jessie-wikimedia | amd64, i386
jenkins | 2.121.2 |  jessie-wikimedia | amd64, i386
jenkins | 2.150.2 | stretch-wikimedia | amd64, i386